## Interface IService

Description

IService interface.

This interface must be implemented by services.

- since: 3.0
- version: $Id: interfaces.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /interfaces.php (line 50)

Method Summary
boolean getEnabled ()
string getID ()
void init (TXmlElement $config)
void run ()
void setEnabled (boolean $value)
void setID (string $id)
Methods
getEnabled (line 68)

- return: whether the service is enabled
- access: public

boolean getEnabled ()
getID (line 60)

- return: ID of the service
- access: public

string getID ()
init (line 56)

Initializes the service.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: the configuration for the service

run (line 76)

Runs the service.

- access: public

void run ()
setEnabled (line 72)

- access: public

void setEnabled (boolean $value)

- boolean $value: whether the service is enabled

setID (line 64)

- access: public

void setID (string $id)

- string $id: ID of the service

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4